aboutsummaryrefslogtreecommitdiff
path: root/integrationtests/common.sh
diff options
context:
space:
mode:
authorTorsten Grote <t@grobox.de>2020-05-18 13:45:21 -0300
committerTorsten Grote <t@grobox.de>2020-05-18 13:46:00 -0300
commita3354306c629ab3ab5f45617f31b90976416105a (patch)
treea5cb7255596e2a3e7b4bfa48df18a72e0e719921 /integrationtests/common.sh
parentff50526560880ef070f1f6ec5a0a7eb4ae3fee2e (diff)
downloadwallet-core-a3354306c629ab3ab5f45617f31b90976416105a.tar.xz
Add integration test for withdrawals
Diffstat (limited to 'integrationtests/common.sh')
-rw-r--r--integrationtests/common.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/integrationtests/common.sh b/integrationtests/common.sh
index 86158d153..d228d1ea5 100644
--- a/integrationtests/common.sh
+++ b/integrationtests/common.sh
@@ -114,6 +114,9 @@ function wait_for_services() {
OK=1
break
done
+ if [ 1 != $OK ]; then
+ exit_skip "Failed to launch bank"
+ fi
# Wait for all other services to be available
for _ in $(seq 1 50); do
echo -n "."
@@ -170,6 +173,10 @@ function assert_greater_than() {
fi
}
+function assert_equal() {
+ [[ "$1" == "$2" ]] || exit_error "$1 is not equal to $2"
+}
+
function shutdown_services() {
echo "Shutting down services"
jobs -p | xargs --no-run-if-empty kill || true